package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.entity.AppletGroupSearchRecord;
import com.pcloud.common.page.PageBeanNew;
import java.util.List;

/**
 * (AppletGroupSearchRecord)表服务接口
 *
 * @author zyq
 * @since 2020-04-01 17:34:47
 */
public interface AppletGroupSearchRecordBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AppletGroupSearchRecord getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Long wechatUserId, Integer isMore, Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param appletGroupSearchRecord 实例对象
     * @return 主键
     */
    Long insert(AppletGroupSearchRecord appletGroupSearchRecord);

    /**
     * 修改数据
     *
     * @param appletGroupSearchRecord 实例对象
     */
    void update(AppletGroupSearchRecord appletGroupSearchRecord);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

    void deleteByIds(List<Long> ids);
}